# Created by pyp2rpm-3.3.2
%global pypi_name django-csp
%global tag 17d941543e9acbf4a51cd3f2393ead458034995d
%global tagdate 20220628

Name:           python-%{pypi_name}
Version:        3.7
Release:        %mkrel 6.git%{tagdate}
Summary:        Django Content Security Policy support
Group:          Development/Python
License:        BSD
URL:            https://github.com/mozilla/django-csp
# Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/django_csp-%{version}.tar.gz
Source0:        https://github.com/mozilla/django-csp/archive/%{tag}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(asgiref)
BuildRequires:  python3dist(django)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pep8)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-django)
BuildRequires:  python3dist(pytest-flakes)
BuildRequires:  python3dist(pytest-pep8)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(setuptools)

%description
Django-CSP adds Content-Security-Policy headers to Django.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(django)

%description -n python3-%{pypi_name}
Django-CSP adds Content-Security-Policy headers to Django.

%prep
%autosetup -n django-csp-%{tag}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files csp

%check
# disabled. Test with tox are provided for a platform with multiple versions of Python.
#tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Dec 28 2022 papoteur <papoteur> 3.7-6.git20220628.mga9
+ Revision: 1927463
- update to latest git snapshot

* Fri Apr 01 2022 umeabot <umeabot> 3.7-5.mga9
+ Revision: 1838710
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 3.7-4.mga9
+ Revision: 1785044
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 3.7-3.mga9
+ Revision: 1732409
- Rebuild for python 3.9

* Sun Dec 13 2020 guillomovitch <guillomovitch> 3.7-2.mga8
+ Revision: 1656451
- fix build dependencies

* Fri Oct 30 2020 joequant <joequant> 3.7-1.mga8
+ Revision: 1640622
- update to 3.7

* Sun Feb 16 2020 umeabot <umeabot> 3.5-4.mga8
+ Revision: 1535466
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 3.5-3.mga8
+ Revision: 1451533
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 3.5-2.mga8
+ Revision: 1431072
- drop unneeded runtime requires

* Wed Aug 21 2019 wally <wally> 3.5-1.mga8
+ Revision: 1430758
- imported package python-django-csp

